unit unOkolni;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TfoOkolni = class(TForm)
    Label1: TLabel;
    inMesto: TListBox;
    Label2: TLabel;
    ouOkolni: TListView;
    procedure inMestoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  foOkolni: TfoOkolni;

implementation

uses unHlavni;

{$R *.dfm}

procedure TfoOkolni.inMestoClick(Sender: TObject);
var i, iMesta: integer;
    LI: tListItem;
begin
   ouOkolni.Clear;

   iMesta := CisloMesta(inMesto.Items.Strings[inMesto.ItemIndex]);

   for i := 0 to High(Cesty) do
      with Cesty[i] do
         if ((iZ = iMesta) or (iDo = iMesta)) and (iZ >= 0) and (iDo >= 0) then begin
            LI := ouOkolni.Items.Add;
            if iZ = iMesta then LI.Caption := Mesta[iDo].nazev
                           else LI.Caption := Mesta[iZ].nazev;
            LI.SubItems.Add(CurrToStr(Vzdalenost));
            LI.SubItems.Add(CurrToStr(PrumRych));
            if Vzdalenost / PrumRych >= 1 then
               LI.SubItems.Add(
                  IntToStr(Round(Int(Vzdalenost / PrumRych))) +
                  ' dn ' +
                  TimeToStr(Vzdalenost / PrumRych))
            else
               LI.SubItems.Add(TimeToStr(Vzdalenost / PrumRych));
         end;
end;

end.
